### Function

# GimpUi enum_radio_box_new

#### Declaration [src]

    GtkWidget*
    gimp_enum_radio_box_new (
      GType enum_type,
      GCallback callback,
      gpointer callback_data,
      GDestroyNotify callback_data_destroy,
      GtkWidget** first_button
    )

#### Description [src]

Creates a new group of `GtkRadioButtons` representing the enum values. A group of radiobuttons is a good way to represent enums with up to three or four values. Often it is better to use a `GimpEnumComboBox` instead.

Available since: | 2.4

#### Parameters

`enum_type` | `GType`
| The `GType` of an enum.
`callback` | `GCallback`
| A callback to connect to the “toggled” signal of each `GtkRadioButton` that is created.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| Data to pass to the `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback_data_destroy` | `GDestroyNotify`
| Destroy function for `callback_data`.
`first_button` | `GtkWidget`
               Returns the first button in the created group.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkBox` holding a group of `GtkRadioButtons`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.